## org.apache.batik.gvt.flow
Class FlowTextPainter

    java.lang.Object
      org.apache.batik.gvt.renderer.BasicTextPainter
          org.apache.batik.gvt.renderer.StrokingTextPainter
              org.apache.batik.gvt.flow.FlowTextPainter

All Implemented Interfaces:
  TextPainter

    public class FlowTextPainter

extends StrokingTextPainter

One line Class Desc Complete Class Desc

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.gvt.renderer.StrokingTextPainter
`StrokingTextPainter.TextRun`

Nested classes/interfaces inherited from class org.apache.batik.gvt.renderer.BasicTextPainter
`BasicTextPainter.BasicMark`

Field Summary
`static java.text.AttributedCharacterIterator.Attribute` `FLOW_LINE_BREAK`
`static java.text.AttributedCharacterIterator.Attribute` `FLOW_REGIONS`
`static java.text.AttributedCharacterIterator.Attribute` `GVT_FONT`
`static java.text.AttributedCharacterIterator.Attribute` `LINE_HEIGHT`
`protected static TextPainter` `singleton` A unique instance of this class.
`static char` `SOFT_HYPHEN`
`static char` `SPACE`
`protected static java.util.Set` `szAtts`
`static java.text.AttributedCharacterIterator.Attribute` `WORD_LIMIT`
`static char` `ZERO_WIDTH_JOINER`
`static char` `ZERO_WIDTH_SPACE`

Fields inherited from class org.apache.batik.gvt.renderer.StrokingTextPainter
`ADJUST_ALL, ADJUST_SPACING, ALT_GLYPH_HANDLER, ANCHOR_TYPE, BIDI_LEVEL, FLOW_PARAGRAPH, GVT_FONTS, PAINT_INFO, TEXT_COMPOUND_ID, TEXTPATH, WRITING_MODE, WRITING_MODE_RTL, WRITING_MODE_TTB, XPOS, YPOS`

Fields inherited from class org.apache.batik.gvt.renderer.BasicTextPainter
`aaOffFontRenderContext, fontRenderContext`

Constructor Summary
`FlowTextPainter()`

Method Summary
`static TextPainter` `getInstance()` Returns a unique instance of this class.
`java.util.List` `getTextRuns(TextNode node, java.text.AttributedCharacterIterator aci)`
`static boolean` `textWrap(java.text.AttributedCharacterIterator[] acis, java.util.List chunkLayouts, java.util.List flowRects, java.awt.font.FontRenderContext frc)`

Methods inherited from class org.apache.batik.gvt.renderer.StrokingTextPainter
`adjustChunkOffsets, computeTextRuns, createModifiedACIForFontMatching, getBounds2D, getDecorationOutline, getDecorationStrokeOutline, getHighlightShape, getMark, getOutline, getSelected, getTextChunk, getTextChunkACIs, hitTest, paint, paintDecorations, paintTextRuns, printAttrs, selectFirst, selectLast`

Methods inherited from class org.apache.batik.gvt.renderer.BasicTextPainter
`getGeometryBounds, getTextLayoutFactory, selectAt, selectTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### singleton

    protected static TextPainter singleton

  A unique instance of this class.

### SOFT_HYPHEN

    public static final char SOFT_HYPHEN

See Also:
  Constant Field Values

### ZERO_WIDTH_SPACE

    public static final char ZERO_WIDTH_SPACE

See Also:
  Constant Field Values

### ZERO_WIDTH_JOINER

    public static final char ZERO_WIDTH_JOINER

See Also:
  Constant Field Values

### SPACE

    public static final char SPACE

See Also:
  Constant Field Values

### WORD_LIMIT

    public static final java.text.AttributedCharacterIterator.Attribute WORD_LIMIT

### FLOW_REGIONS

    public static final java.text.AttributedCharacterIterator.Attribute FLOW_REGIONS

### FLOW_LINE_BREAK

    public static final java.text.AttributedCharacterIterator.Attribute FLOW_LINE_BREAK

### LINE_HEIGHT

    public static final java.text.AttributedCharacterIterator.Attribute LINE_HEIGHT

### GVT_FONT

    public static final java.text.AttributedCharacterIterator.Attribute GVT_FONT

### szAtts

    protected static java.util.Set szAtts

Constructor Detail

### FlowTextPainter

    public FlowTextPainter()

Method Detail

### getInstance

    public static TextPainter getInstance()

  Returns a unique instance of this class.

### getTextRuns

    public java.util.List getTextRuns(TextNode node,
                                      java.text.AttributedCharacterIterator aci)

  Overrides:
    `getTextRuns` in class `StrokingTextPainter`

### textWrap

    public static boolean textWrap(java.text.AttributedCharacterIterator[] acis,
                                   java.util.List chunkLayouts,
                                   java.util.List flowRects,
                                   java.awt.font.FontRenderContext frc)

Copyright © 2008 Apache Software Foundation. All Rights Reserved.